﻿using HandyControl.Collections;
using OmronFinsTCP.Net;
using SqlSugar;
using System;
using System.Collections.Generic;
using System.Configuration;
using System.Linq;
using System.Net;
using System.Text;
using System.Threading.Tasks;
using TFT_MelsecMcNet;

namespace PLCTool.Common
{
    public  class MelsecPLCConnectioncs : IPLCConnection
    {
        private static string plcIp = ConfigurationManager.AppSettings["PLCIp"];
        private static string plcPort = ConfigurationManager.AppSettings["PLCPort"];
        private static MelsecMcNet melsec_net;
        private static MelsecPLCConnectioncs instance;
        private static bool isConnect = false;
        public MelsecPLCConnectioncs()
        {
            ConnectPLC();
        }
        public static MelsecPLCConnectioncs Instance
        {
            get
            {
                if ((instance==null)||(!melsec_net.IsConnect()))
                {
                    instance = new MelsecPLCConnectioncs();
                }
                return instance;
            }
        }
        public async Task<bool> ConnectPLC()
        {
            try
            {
                OperateResult operResult=null;
                melsec_net = new MelsecMcNet(plcIp, Convert.ToInt32(plcPort));


                var result = await Task.Run(() =>

                    melsec_net.ConnectServer()
                // 耗时操作
                ) ;
                if (result.IsSuccess)
                {
                    isConnect = true;
                    return true;
                }
                else
                {

                    isConnect = false;
                    return false;
                }
                
                

            }
            catch (Exception e)
            {
                melsec_net.ConnectClose();
                return false;
            }
        }

      
        public async Task<bool> IsConnectPLC()
        {

            try
            {
                var result = await Task.Run(() =>melsec_net.ReadBool("X100"));

                if (result.IsSuccess)
                {

                    return true;
                }
                else
                {
                    return false;
                }

            }
            catch (Exception e)
            {
                return false;
            }
            
       
        }

        public string ReadPlcObject(string address, VarType valueType)
        {
            string value = string.Empty; 
            short rb;
            short reSuc = -1;
            if (isConnect == false)
            {
                return string.Empty;
            }

            switch (valueType)
            {
                case VarType.Bit:
                    OperateResult<bool> isBool = melsec_net.ReadBool(address);
                    if (isBool.IsSuccess)
                    {
                        if (isBool.Content)
                        {
                            return "1";
                        }
                        else
                        {
                            return "0";
                        }
                    }

                    break;
                case VarType.Byte:
                    break;
   
                case VarType.DWord:
                    break;
                case VarType.Word:
                case VarType.Int:
                    OperateResult<int> intResult = melsec_net.ReadInt32(address);
                    if (intResult.IsSuccess)
                    {
                        return intResult.Content.ToString();
                    }
                    break;
                case VarType.DInt:
                    break;
                case VarType.Real:
                    break;

                default:
                    return null;
            }
            return value;
        }

        public bool ResetPLC(string address, VarType valueType, string writeValue)
        {
            return false;
        }

        public bool WritePlcObject(string address, VarType valueType, string writeValue)
        {
            bool isSuccess = false;

            if (isConnect == false)
            {
                return false;
            }
            try
            {
                switch (valueType)
                {
                    case VarType.Bit:
                        bool writeValueBool=writeValue=="1" ? true:false;
                        OperateResult writeResut=melsec_net.Write(address, writeValueBool);
                    
                        //写成功
                        if (writeResut.IsSuccess)
                        {
                            isSuccess = true;
                        }
                        break;
                    case VarType.Byte:
                        break;
                  
                      
                    case VarType.DWord:
                        break;
                    case VarType.Word:
                    case VarType.Int:
                        int wValue = Convert.ToInt32(writeValue);
                        OperateResult writeResutInt = melsec_net.Write(address, wValue);

                        //写成功
                        if (writeResutInt.IsSuccess)
                        {
                            isSuccess = true;
                        }
                        break;
                    
                    case VarType.DInt:
                        break;
                    case VarType.Real:
                        break;

                }
            }
            catch (Exception ex)
            {

            }

            return isSuccess;
        }
    }
}
