﻿using Model.Dto;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace PLCTool.Models
{
    public class SelectItemModel:BaseDto
    {
        private long id { get; set; }
        public long SchDtlId
        {
            get { return id; }
            set { id = value; OnPropertyChanged(); }
        }
        /// <summary>
        /// Desc:测试项名称
        /// Default:
        /// Nullable:True
        /// </summary>           
        private string itemName { get; set; }
        public string ItemName
        {
            get { return itemName; }
            set { itemName = value; OnPropertyChanged(); }
        }
        /// <summary>
        /// Desc:测试项类型。0：代表测试方案的前置项，需要首先进行测试。1：PLC点位测试项。2：Robot动作测试
        /// Default:
        /// Nullable:True
        /// </summary>           
        private string item_type { get; set; }
        public string ItemType
        {
            get { return item_type; }
            set { item_type = value; OnPropertyChanged(); }
        }
        /// <summary>
        /// 前置项描述
        /// </summary>
        private string beforeDetail { get; set; }
        public string BeforeDetail
        {
            get { return beforeDetail; }
            set { beforeDetail = value; OnPropertyChanged(); }
        }

        /// <summary>
        /// 输入项描述
        /// </summary>
        private string inDetail { get; set; }
        public string InDetail
        {
            get { return inDetail; }
            set { inDetail = value; OnPropertyChanged(); }
        }

        /// <summary>
        /// 输出项描述
        /// </summary>
        private string outDetail { get; set; }
        public string OutDetail
        {
            get { return outDetail; }
            set { outDetail = value; OnPropertyChanged(); }
        }
        private bool isSelected { get; set; }
        public bool IsSelected
        {
            get { return isSelected; }
            set { isSelected = value; OnPropertyChanged(); }
        }
    }
}
