﻿using Model.Entities;
using SqlSugar;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Model.Dto
{
    public  class BasicPlcTestSchemeDtlDto:BaseDto
    {
        /// <summary>
        /// Desc:测试方案明细主键ID
        /// Default:
        /// Nullable:False
        /// </summary>           
     
        private long schemeDtlId { get; set; }
        public long SchemeDtlId
        {
            get { return schemeDtlId; }
            set { schemeDtlId = value; OnPropertyChanged(); }
        }
        /// <summary>
        /// Desc:测试方案主键ID
        /// Default:
        /// Nullable:True
        /// </summary>           
        private long? schemeId { get; set; }
        public long? SchemeId
        {
            get { return schemeId; }
            set { schemeId = value; OnPropertyChanged(); }
        }
        /// <summary>
        /// Desc:测试项名称
        /// Default:
        /// Nullable:True
        /// </summary>           
        private string itemName { get; set; }
        public string ItemName
        {
            get { return itemName; }
            set { itemName = value; OnPropertyChanged(); }
        }
        /// <summary>
        /// 测试顺序
        /// </summary>
        private int sort { get; set; }
        public int Sort
        {
            get { return sort; }
            set { sort = value; OnPropertyChanged(); }
        }
        /// <summary>
        /// Desc:测试项时间
        /// Default:
        /// Nullable:True
        /// </summary>           

        private int itemTime { get; set; }
        public int ItemTime
        {
            get { return itemTime; }
            set { itemTime = value; OnPropertyChanged(); }
        }
        /// <summary>
        /// Desc:测试项类型。0：代表测试方案的前置项，需要首先进行测试。1：PLC点位测试项。2：Robot动作测试
        /// Default:
        /// Nullable:True
        /// </summary>           
        private string item_type { get; set; }
        public string ItemType
        {
            get { return item_type; }
            set { item_type = value; OnPropertyChanged(); }
        }
        /// <summary>
        /// Desc:测试项前置条件
        /// Default:
        /// Nullable:True
        /// </summary>

        private object precondition { get; set; }
        public object Precondition
        {
            get { return precondition; }
            set { precondition = value; OnPropertyChanged(); }
        }
        /// <summary>
        /// Desc:测试项前置条件描述
        /// Default:
        /// Nullable:True
        /// </summary>           
        private string preconditionDescribe { get; set; }
        public string PreconditionDescribe
        {
            get { return preconditionDescribe; }
            set { preconditionDescribe = value; OnPropertyChanged(); }
        }
        /// <summary>
        /// Desc:测试项执行动作
        /// Default:
        /// Nullable:True
        /// </summary>

        private object action { get; set; }
        public object Action
        {
            get { return action; }
            set { action = value; OnPropertyChanged(); }
        }
        /// <summary>
        /// Desc:测试项执行动作描述
        /// Default:
        /// Nullable:True
        /// </summary>           
        private string actionDescribe { get; set; }
        public string ActionDescribe
        {
            get { return actionDescribe; }
            set { actionDescribe = value; OnPropertyChanged(); }
        }
        /// <summary>
        /// Desc:测试项结果判定
        /// Default:
        /// Nullable:True
        /// </summary>

        private object judgementResult { get; set; }
        public object JudgementResult
        {
            get { return judgementResult; }
            set { judgementResult = value; OnPropertyChanged(); }
        }
        /// <summary>
        /// Desc:测试项结果判定描述
        /// Default:
        /// Nullable:True
        /// </summary>           
        private  string judgementResultDescribe { get; set; }
        public string JudgementResultDescribe
        {
            get { return judgementResultDescribe; }
            set { judgementResultDescribe = value; OnPropertyChanged(); }
        }
        /// <summary>
        /// Desc:创建者
        /// Default:
        /// Nullable:True
        /// </summary>           
        private string createBy { get; set; }
        public string CreateBy
        {
            get { return createBy; }
            set { createBy = value; OnPropertyChanged(); }
        }
        /// <summary>
        /// Desc:创建时间
        /// Default:
        /// Nullable:True
        /// </summary>           
        private DateTime? createTime { get; set; }
        public DateTime? CreateTime
        {
            get { return createTime; }
            set { createTime = value; OnPropertyChanged(); }
        }
        /// <summary>
        /// Desc:更新者
        /// Default:
        /// Nullable:True
        /// </summary>           
        private string updateBy { get; set; }
        public string UpdateBy
        {
            get { return updateBy; }
            set { updateBy = value; OnPropertyChanged(); }
        }
        /// <summary>
        /// Desc:更新时间
        /// Default:
        /// Nullable:True
        /// </summary>           
        private DateTime? updateTime { get; set; }
        public DateTime? UpdateTime
        {
            get { return updateTime; }
            set { updateTime = value; OnPropertyChanged(); }
        }
        /// <summary>
        /// Desc:备注
        /// Default:
        /// Nullable:True
        /// </summary>           
        private string remark { get; set; }

        public string Remark
        {
            get { return remark; }
            set { remark = value; OnPropertyChanged(); }
        }
    }
}
